:root {
    --color-primary: #2c4e7a;
    --color-secundary: rgb(77, 167, 197);
    --color-text: #000;
    --color-background: #ccc;

    --font-family: 'Montserrat';
    --font-size-base: 16px;

    --header-height: 21dvh;

    --section-vertical-padding: 4rem;

    scroll-behavior: smooth;
}

body {
    margin:0;
    font-family: var(--font-family);
    background-color: transparent;

    timeline-scope: --goview;
}

* {
    box-sizing: border-box;
}

/*--HEADER--*/

.header {
    z-index:5;
}

.header__container {
    display: flex;
    height: var(--header-height);
    justify-content: space-between;
    align-items: center;
    padding:0 min(10rem, 15%);
    border-bottom:0.25rem solid #ccc;
    box-shadow: 0 0.3rem 1rem #0003;
    backdrop-filter: blur(10px);
    position: relative;
    z-index: 10;
}

.header__logo {
    min-height: max-content;
    display:grid;
    grid-template-columns: 1fr;
    grid-template-rows: 2fr 1fr;
    justify-items: center;
    align-items: center;
    text-decoration: none;
    color:var(--color-primary);
    font-size: calc(var(--font-size-base)*1.5);
}

.header__logo-img {
    padding:0;
    margin:auto;
    width: 100px;
    fill:var(--color-primary);
    grid-row: span 1;
    transition: transform 0.2s;
    overflow: visible !important;
    pointer-events: none;
}

.header__logo-text {
    color: inherit;
    padding:0;
    margin:0;
    display: block;
    transition: color 0.2s;
    transition: transform 0.3s;
    pointer-events: none;
}

.header__logo-img .path_1, .path_2 {
    transition: transform 0.2s;
    pointer-events: none;
}

.header__logo:hover .header__logo-text {
    transform: translateY(-3rem);
}

.header__logo:hover .header__logo-img {
    transform: translateY(25px);
}

.header__logo:hover .header__logo-img .path_1 {
    transform: translateX(35rem);
}

.header__logo:hover .header__logo-img .path_2 {
    transform: translateX(-35rem);
}

.hamburger {
    background-color: transparent;
    border: none;
    outline: none;
    color: var(--color-text);
    transition: color 0.2s;
    display: none;
}

.hamburger span {
    font-size: 3rem;
    cursor: pointer;
}

.hamburger:hover {
    color: var(--color-primary);
}

.nav__close-button {
    list-style-type: none;
    display:none;
}

.close-button {
    background-color: transparent;
    outline: none;
    border: none;
    width: 36px;
    height: 36px;
    border-radius: 50%;
    transition: transform 0.2s;
    padding:0;
}

.close-button:hover {
    cursor: pointer;
    transform: scale(1.25);
    color: var(--color-primary);
}

.nav__close-button span {
    font-size: 2rem;
}

.nav {
    position: relative;
    z-index: 20;
    display: flex;
    flex-direction: row-reverse;
    align-items: center;
}

.nav__list li {
    list-style: none;
}

.nav__list {
    display: flex;
    justify-content: space-evenly;
    align-items: inherit;
    gap: min(5rem, 5vw);
    position: relative;
    z-index: 20;
}

.nav__item {
    list-style-type: none;
    font-size: calc(var(--font-size-base)*1.25);
    position: relative;
}

.nav__link {
    text-decoration: none;
    color: var(--color-text);
    font-weight: 600;
}

.nav__link:hover {
    color:var(--color-primary);
}

.nav__link::before {
    content: '';
    background-color: var(--color-primary);
    display: block;
    height: 0.25rem;
    width:0%;
    z-index: -1;
    position: absolute;
    bottom: -0.25rem;
    left:0;
    right: 0;
    opacity: 1;
    margin: auto;
    border-radius: 5px;
    transition: width 0.2s;
}

.nav__link:hover::before {
    width: 100%;
}

.choose-language {
    display: flex;
    flex-direction: column;
    align-items: center;
    position: relative;
    user-select: none;
}

.choose-language .button-language {
    list-style: none;
    cursor: pointer;
}

.language-content {
    position:absolute;
    z-index: 20;
    top:2rem;
    left: -200%;
    margin:auto;
    background-color: #fff;
    border-radius: 15px;
    box-shadow: 0 0 15px #0005;
    width: fit-content;
    height: 0;
    align-items: center;
    justify-items: center;
    padding: 0 1rem;
    overflow: hidden;
    transition: height 0.2s;
    transition-behavior: allow-discrete;
}

.button-content {
    display: flex;
}

.choose-language[open] .language-content {
    height: auto;
}

.choose-language::details-content {
    opacity: 0;
    transition: block-size 0.3s, opacity 0.3s, content-visibility 0.3s;

    transition-behavior: allow-discrete;
}

.choose-language[open]::details-content{
    opacity: 1;
}

.language-arrow {
    transition: transform 0.5s;
}

.choose-language[open] .language-arrow {
    transform: rotate(180deg);
}

.language-list {
    display: flex;
    flex-direction: column;
    padding:0;
    margin:0;
}

.language-item {
    display: flex;
    padding:1rem 1rem;
    margin: 0.5rem 0;
    border-radius: 30px;
    color: var(--color-text);
    transition: box-shadow 0.2s, color 0.2s;
}

.language-item:has(.language-choose:hover) {
    box-shadow: 0 5px 10px #0005;
    color:var(--color-primary);
}

.language-choose {
    color:inherit;
    text-decoration: none;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-items: start;
}

.language-shortcut {
    font-size: calc(var(--font-size-base)*1.56);
    margin:0;
    color:inherit;
}

.language-name {
    margin:0;
    margin-left: 1rem;
    color:inherit;
}

/*--HEADER ENDS--*/

/*--MAIN--*/

main {
    display: flex;
    flex-direction: column;
    padding: 10px 20%;
}

.title {
    color: var(--color-primary);
    text-align: center;
}

/*--MAIN ENDS--*/

/*--FOOTER--*/

.footer-space {
    height: 55dvh;
    width: 1px;
    position: relative;
    z-index: -1;
}

.footer {
    position:relative;
    width: 100%;
    background-color: #fff;
    z-index: 0;
    animation: footer;
    animation-timeline: scroll();
    animation-fill-mode: both;
    animation-timing-function: linear;
}

.footer__container {
    display:flex;
    flex-direction: row;
    gap:30px;
    justify-content: space-between;
    padding:5dvh 10dvw;
}

.footer__links {
    display: flex;
    flex-direction: row;
}

.footer__column {
    display: flex;
    flex-direction: column;
    padding:0 3rem;
}

.footer__column ul {
    display: flex;
    flex-direction: column;
    padding:0;
    margin:0;
}

.footer__column li {
    display: flex;
    gap:10px;
    flex-direction: row;
    margin-top:1rem;
    list-style-type:none;
    align-items: center;
    position: relative;
}

.footer__column .list__icon {
    background-color: transparent;
    position:absolute;
    left:0;
    border-radius: 2rem;
    width: 0.15rem;
    height: 100%;
    transition: background-color 0.2s;
}

.footer__column li:hover .list__icon{
    background-color: #000;
}

.footer__column li:hover a {
    transform: translateX(1rem);
}

.footer__column a {
    text-decoration: none;
    color: var(--color-text);
    transition: transform 0.2s;
}

.footer__column h4 {
    font-size: calc(var(--font-size-base)*1.25);
    margin:0;
}

.footer__social-networks {
    font-size: calc(var(--font-size-base)*1.56);
    margin-bottom: 1rem;
    margin-top:0;
}

.footer__logo-text {
    position: relative;
    color: var(--color-primary);
    text-decoration: none;
    padding:2rem;
    font-size: calc(var(--font-size-base)*1.96);
    transition: transform 0.2s;
}

.footer__logo-text::before {
    content: '';
    padding: 0;
    margin:0;
    margin:auto;
    height: 0.3rem;
    width: 0;
    background-color: transparent;
    position: absolute;
    bottom:2rem;
    border-radius: 1rem;
    left: 0;
    right: 0;
    transition: background-color 0.2s, width 0.2s;
}

.footer__logo {
    text-decoration: none;
    display: flex;
    flex-direction: row;
    align-items: center;
}

.social-networks__networks {
    display: flex;
    flex-direction: row;
    gap:10px;
}

.social-network-icon {
    font-size: 2rem;
    color:var(--color-primary);
    border-radius: 5px;
    padding:0.5rem;
    width: fit-content;
    height: fit-content;
    margin:0;
    padding:0;
    display: block;
    transition: background-color 0.3s, color 0.3s, box-shadow 0.3s;
}

.social-network-icon:hover {
    background-color: var(--color-primary);
    color: #fff;
    box-shadow: 0 5px 10px #0005;
}

.footer__copyright {
    background-color: var(--color-background);
    text-align: center;
    margin:0;
    padding: 1.5rem 0;
    font-weight: 500;
}

footer .header__logo-img {
    padding:0;
    margin:0;
    width: 8rem;
    fill:var(--color-primary);
}

.footer__logo:hover .header__logo-img {
    transform: translateY(-5px) scale(1.1);
}

.footer__logo:hover .footer__logo-text {
    transform: scale(1.1) translateY(-1rem);
}

.footer__logo:hover .footer__logo-text::before {
    background-color: var(--color-primary);
    width: 70%;
}

@media (max-width:895px) {
    .hamburger {
        display: block;
        position: relative;
        z-index: 50;
    }

    .header__logo {
        position: relative;
        z-index: 50;
    }

    .nav__close-button {
        display: block;
    }

    .nav {
        width: min(200px, 50%);
        position: fixed;
        backdrop-filter: none;
        transform: none;
        filter:none;
        top:0;
        right: -100%;
        height: 100dvh;
        z-index: 10;
        display: flex;
        flex-direction: column;
        transition: right 0.5s;
    }

    .nav__list {
        position: relative;
        width: 100%;
        height: 100dvh;
        text-align: center;
        align-items: center;
        justify-items: center;
        flex-direction: column;
        margin:0;
        background-color: white;
        padding:2rem;
        padding-bottom: 18rem;
        box-shadow: -10px 0 15px #0005;
    }

    body:has(.nav__list.show) main, body:has(.nav__list.show) footer{
        filter: blur(15px);
    }

    .nav:has(.nav__list.show) {
        z-index: 50;
        right: 0;
    }

    .nav__link {
        display: block;
        height: 50px;
    }

    .nav__link::before {
        bottom: 1rem;
    }

    .header {
        position:relative;
        padding:0;
        z-index: 50;
    }

    .header__container {
        backdrop-filter: none;
        z-index: 50;
    }

    .footer__container {
        flex-direction: column;
        padding: clamp(5px, 5dvw, 20px);
    }
    
    .footer__logo-text {
        font-size: clamp(1rem, 1dvw + 1.5rem, 3rem);
    }

    .footer-space {
        height: 80dvh;
    }

    .footer__logo-text {
        padding: clamp(5px, 5dvw, 20px);
    }

    .footer__column {
        padding: clamp(5px, 5dvw, 20px);
    }    
}

/*--FOOTER ENDS--*/